API reference
Number migrations
API reference descriptions are provided in English to preserve the exact published contract.
List Meta asset migration Operations
GET /v1/accounts/{AC}/migrations
getV1AccountsByAcMigrationsPaginated200
Required scope: `migrations:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
limit | query · integer (1–100) | | |
cursor | query · string (max 2048 chars) | | |
AC | path · string (AC… SID) | yes | Account SID |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Authorize a preflighted phone-number migration Operation
POST /v1/accounts/{AC}/migrations
postV1AccountsByAcMigrationsIdempotency-Key required202
Required scope: `migrations:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Request body (12 fields)
Request body| Name | Type | Required | Description |
|---|
caseRef | string (max 128 chars) | yes | |
countryCode | string (pattern ^[0-9]{1,3}$) | yes | |
destinationWabaSid | string (WB… SID) | yes | |
phoneNumber | string (pattern ^[0-9]{4,15}$) | yes | |
reason | string (max 2000 chars) | yes | |
registrationPin | string (pattern ^[0-9]{6}$) | yes | |
senderSid | string (WA… SID) | yes | |
sourceWabaSid | string (WB… SID) | | |
stepUpToken | string (max 256 chars) | yes | |
validation | object | yes | |
validation.contactSid | string (CT… SID) | yes | |
validation.templateSid | string (TM… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Get a Meta asset migration and its Operation history
GET /v1/accounts/{AC}/migrations/{OP}
getV1AccountsByAcMigrationsByOpPaginated200
Required scope: `migrations:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
limit | query · integer (1–100) | | |
cursor | query · string (max 2048 chars) | | |
AC | path · string (AC… SID) | yes | Account SID |
OP | path · string (OP… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Resume a migration waiting for a corrected registration PIN
POST /v1/accounts/{AC}/migrations/{OP}/registration-pin
postV1AccountsByAcMigrationsByOpRegistrationPinIdempotency-Key required202
Required scope: `migrations:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
OP | path · string (OP… SID) | yes | |
Request body (4 fields)
Request body| Name | Type | Required | Description |
|---|
caseRef | string (max 128 chars) | yes | |
reason | string (max 2000 chars) | yes | |
registrationPin | string (pattern ^[0-9]{6}$) | yes | |
stepUpToken | string (max 256 chars) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.